using PARR.Domain.Entities.Base.History;

namespace PARR.TemplateMatcher.Services.Interfaces
{
    public interface ITemplateSynchronizer
    {
        Task SyncTemplatesForJobAsync(Guid jobId, HistoryInitiator initiator);
        Task SyncTemplatesForJobGroupAsync(Guid jobGroupId, HistoryInitiator initiator);
        Task UpdateTemplatesForJobAsync(Guid jobId, HistoryInitiator initiator);
    }
} 
